> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Environment Access Token

> Creates an access token for the environment.

`Unary` · [`Environments`](/docs/api-reference/generated/environment/overview)

Creates an access token for the environment.

Generated tokens are valid for one hour and provide environment-specific access permissions.
The token is scoped to a specific environment.

### Examples

* Generate environment token:

  Creates a temporary access token for accessing an environment.

  ```yaml theme={null}
  environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.EnvironmentService/CreateEnvironmentAccessToken
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.EnvironmentService/CreateEnvironmentAccessToken" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "environmentId": "<environment-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.environment_pb2 as environment_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = environment_pb2.CreateEnvironmentAccessTokenRequest(
      environment_id="<environment-id>",
  )
  response = ona.services.environment.create_environment_access_token(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { CreateEnvironmentAccessTokenRequestSchema } from "@gitpod/sdk/gitpod/v1/environment_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(CreateEnvironmentAccessTokenRequestSchema, {
      environmentId: "<environment-id>",
    });
    const response = await ona.services.environment.createEnvironmentAccessToken(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.CreateEnvironmentAccessTokenRequest{
  		EnvironmentId: "<environment-id>",
  	})
  	response, err := ona.Services.Environment.CreateEnvironmentAccessToken(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "environmentId": "<environment-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.CreateEnvironmentAccessTokenRequest`

| Field           | Type   | Required | Description                                                                                                                             |
| --------------- | ------ | -------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| `environmentId` | string | Yes      | environment\_id specifies the environment for which the access token should be created. Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.CreateEnvironmentAccessTokenResponse`

| Field         | Type   | Required | Description                                                                                              |
| ------------- | ------ | -------- | -------------------------------------------------------------------------------------------------------- |
| `accessToken` | string | Yes      | access\_token is the token that can be used for environment authentication Constraints: `required=true`. |
